Package com.ocient.jdbc.proto

## Enum ClientWireProtocol.ExecuteExplainForSpark.PartitioningType

- java.lang.Object
- - java.lang.Enum<ClientWireProtocol.ExecuteExplainForSpark.PartitioningType>
  - - com.ocient.jdbc.proto.ClientWireProtocol.ExecuteExplainForSpark.PartitioningType

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<ClientWireProtocol.ExecuteExplainForSpark.PartitioningType>`

Enclosing class:
  ClientWireProtocol.ExecuteExplainForSpark

    public static enum ClientWireProtocol.ExecuteExplainForSpark.PartitioningType
    extends Enum<ClientWireProtocol.ExecuteExplainForSpark.PartitioningType>
    implements com.google.protobuf.ProtocolMessageEnum

Protobuf enum `xg.cmdcomp.ExecuteExplainForSpark.PartitioningType`

### Enum Constant Summary

Enum Constants
`BY_NUMBER` `BY_NUMBER = 2;`
`BY_SIZE` `BY_SIZE = 1;`
`INVALID_PARTITIONING` `INVALID_PARTITIONING = 0;`
`UNRECOGNIZED`

### Field Summary

Fields
`static int` `BY_NUMBER_VALUE` `BY_NUMBER = 2;`
`static int` `BY_SIZE_VALUE` `BY_SIZE = 1;`
`static int` `INVALID_PARTITIONING_VALUE` `INVALID_PARTITIONING = 0;`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static ClientWireProtocol.ExecuteExplainForSpark.PartitioningType` `forNumber​(int value)`
`static com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptorForType()`
`int` `getNumber()`
`com.google.protobuf.Descriptors.EnumValueDescriptor` `getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<ClientWireProtocol.ExecuteExplainForSpark.PartitioningType>` `internalGetValueMap()`
`static ClientWireProtocol.ExecuteExplainForSpark.PartitioningType` `valueOf​(int value)` Deprecated.
`static ClientWireProtocol.ExecuteExplainForSpark.PartitioningType` `valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)` Returns the enum constant of this type with the specified name.
`static ClientWireProtocol.ExecuteExplainForSpark.PartitioningType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ClientWireProtocol.ExecuteExplainForSpark.PartitioningType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INVALID_PARTITIONING

    public static final ClientWireProtocol.ExecuteExplainForSpark.PartitioningType INVALID_PARTITIONING

`INVALID_PARTITIONING = 0;`

#### BY_SIZE

    public static final ClientWireProtocol.ExecuteExplainForSpark.PartitioningType BY_SIZE

`BY_SIZE = 1;`

#### BY_NUMBER

    public static final ClientWireProtocol.ExecuteExplainForSpark.PartitioningType BY_NUMBER

`BY_NUMBER = 2;`

#### UNRECOGNIZED

    public static final ClientWireProtocol.ExecuteExplainForSpark.PartitioningType UNRECOGNIZED

### Field Detail

#### INVALID_PARTITIONING_VALUE

    public static final int INVALID_PARTITIONING_VALUE

`INVALID_PARTITIONING = 0;`

See Also:
  Constant Field Values

#### BY_SIZE_VALUE

    public static final int BY_SIZE_VALUE

`BY_SIZE = 1;`

See Also:
  Constant Field Values

#### BY_NUMBER_VALUE

    public static final int BY_NUMBER_VALUE

`BY_NUMBER = 2;`

See Also:
  Constant Field Values

### Method Detail

#### values

    public static ClientWireProtocol.ExecuteExplainForSpark.PartitioningType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ClientWireProtocol.ExecuteExplainForSpark.PartitioningType c : ClientWireProtocol.ExecuteExplainForSpark.PartitioningType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ClientWireProtocol.ExecuteExplainForSpark.PartitioningType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getNumber

    public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

#### valueOf

    @Deprecated
    public static ClientWireProtocol.ExecuteExplainForSpark.PartitioningType valueOf​(int value)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### forNumber

    public static ClientWireProtocol.ExecuteExplainForSpark.PartitioningType forNumber​(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

#### internalGetValueMap

    public static com.google.protobuf.Internal.EnumLiteMap<ClientWireProtocol.ExecuteExplainForSpark.PartitioningType> internalGetValueMap()

#### getValueDescriptor

    public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptorForType

    public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

#### valueOf

    public static ClientWireProtocol.ExecuteExplainForSpark.PartitioningType valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null